Subject: Fwd: Re: [tcpm] FW: Call for Adoption: TCP Tuning for HTTP
From: Joe Touch <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 2 Mar 2016 14:34:38 -0800

Hi, all,

This doc was noted on the TCPM list.

See my observations below.

Joe

-------- Forwarded Message --------
Subject: Re: [tcpm] FW: Call for Adoption: TCP Tuning for HTTP
Date: Wed, 2 Mar 2016 12:25:07 -0800
From: Joe Touch <[email-masked]>
To: Scharf, Michael (Nokia - DE) <[email-masked]>,
[email-masked] Extensions <[email-masked]>
CC: [email-masked]

On 3/2/2016 1:39 AM, Scharf, Michael (Nokia - DE) wrote:
> I assume this could be of interest to the TCPM community.

I have doubts:

- it reads like a Linux manual page

	All Linux-specific references and commands would need to be
	moved to an appendix to be useful as an RFC.

- this repeats (sometimes correctly, sometimes in error) existing advice

J. Heidemann, K. Obraczka, J. Touch, “Modeling the Performance of HTTP
Over Several Transport Protocols,” IEEE/ACM Transactions on Networking,
V5, N5, Oct. 1997, pp.616-630.

T. Faber, J. Touch, and W. Yue, “The TIME-WAIT state in TCP and Its
Effect on Busy Servers,” in Proc. IEEE Infocom, 1999, pp. 1573-1583.

- it has significant errors

	TIME-WAIT issues apply to servers, not clients.

	Nagle has been known to perform poorly for multibyte
	interactive traffic for a very long time, including not
	only web traffic but also multi-byte character or keyboard
	signals.

	Disabling slow-start after idle is safe only with pacing.
	Without pacing, the resulting traffic can generate a burst
	that was never experienced and result in both poor performance
	for the current connection and potential impact to competing
	traffic.

(those are just a few)

Overall, I think a man page might be useful, but this summary isn't
useful for the IETF.

Joe

> -----Original Message-----
> From: Scharf, Michael (Nokia - DE) 
> Sent: Wednesday, March 02, 2016 10:37 AM
> To: 'Mark Nottingham'; HTTP WG
> Cc: [email-masked]; Daniel Stenberg
> Subject: RE: Call for Adoption: TCP Tuning for HTTP
> 
> The document refers to several TCPM RFCs with experimental status, e.g., in Section 3. That may have to be taken into account when heading towards BCP status.
> 
> Michael
> (TCPM co-chair)
> 
> 
> -----Original Message-----
> From: Mark Nottingham [mailto:[email-masked]] 
> Sent: Wednesday, March 02, 2016 6:47 AM
> To: HTTP WG
> Cc: [email-masked]; Daniel Stenberg
> Subject: Call for Adoption: TCP Tuning for HTTP
> 
> [ copying Alison as our Transport Tech Advisor ]
> 
> Daniel has kindly started a document about how HTTP uses TCP, both for /1 and /2:
>   <https://tools.ietf.org/html/draft-stenberg-httpbis-tcp>
> 
> We haven't explicitly discussed this at a meeting, but I have heard interest in this topic from a variety of folks.
> 
> What do people think about adopting this with a target of Best Current Practice?
> 
> Please comment on-list.
> 
> Regards,
> 
> --
> Mark Nottingham   https://www.mnot.net/
> 
> 
> _______________________________________________
> tcpm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tcpm
>